package cn.com.poc.ai_dialogues.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ai_dialogues.entity.BizAiDialogues3rdRelationEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizAiDialogues3rdRelationService extends BaseService {

    BizAiDialogues3rdRelationEntity get(java.lang.Long id) throws Exception;

    List<BizAiDialogues3rdRelationEntity> findByExample(BizAiDialogues3rdRelationEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAiDialogues3rdRelationEntity save(BizAiDialogues3rdRelationEntity entity) throws Exception;

    BizAiDialogues3rdRelationEntity update(BizAiDialogues3rdRelationEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}